.code
while:
	LDA keyboard_port  ;carrega porta de teclado em AC High.
	INT input          ;realiza operacao de input.
	STA caractere      ;armazena codigo do caractere lido do teclado.

do_if:
	MOV 0              ;if (caracatere == 0), volta para while.
	SUB caractere          
	JZ while
else:	
	LDA caractere      ;else, imprime caractere em Video.
	ADD video_port
	INT output

	JMP while

end:
	INT exit

.data
	;syscall exit
	exit: DD 25
	input:         DD 20      ;codigo de input da instrucao INT.
	output:        DD 21      ;codigo de output da instrucao INT.
	keyboard_port: DD 0x100   ;porta do periferico teclado.
	video_port:    DD 0x000   ;porta do periferico video.

.bss
	caractere: RESD 1

.stack 1

