.code
blink:
    LDA high              ;realiza a escrita digital para acender o led.
    ADD arduino_portB
    INT output

    CALL delay            ;chama funcao delay para inserir um atraso.

no_blink:
    LDA down              ;realiza a escrita digital para apagar o led.
    ADD arduino_portB
    INT output

    CALL delay            ;chama funcao delay para inserir um atraso.

    JMP  blink

delay:
    MOV 0                 ;reseta contador.
    STA contador
loop:
    MOV 1                 ;while (contador < 2).
    SUB contador
    JZ  ret_delay   
    MOV 1                 ;incrementa o contador.
    ADD contador
    STA contador
    JMP loop              ;desvio o fluxo para uma nova repetição.
ret_delay:
    RET

end:
	INT exit

.data
	;syscall exit
	exit: DD 25
	high:          DD 1     ;palavra que na escrita acende o led.
	down:          DD 0     ;palavra que na escrita apaga o led.
	arduino_portB: DD 0x200 ;porta da PortB do periferico Arduino UNO.
	output:        DD 21    ;codigo de input da instrucao INT.
	contador:      DD 0

.stack 1
