.code
read_button:
    LDA arduino_portB   ;realiza a leitura digital do estado do botao.
    INT input

    NAND mask           ;realiza a operacao AND entre o valor lido do
    STA tmp             ; botao com a mascara para filtrar o valor lido
    NAND tmp            ; de forma que fique 0 ou 1.
    STA estado          ;grava o valor filtrado em estado.

    JMP read_button     ;desvia o fluxo do programa para nova leitura.

end:
	INT exit

.data
	;syscall exit
	exit: DD 25
	estado:        DD 0     ;variavel que recebera o estado do botao.
	mask:          DD 1     ;mascara para filtrar os bits na leitura.
	tmp:           DD 0     ;variavel temporaria para uso no filtro.
	arduino_portB: DD 0x200 ;porta da PortB do periferico Arduino UNO.
	input:         DD 20    ;codigo de input da instrucao INT.

.stack 1
